// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.c
// Author        : xianfeng.du
// Created On    : 2022-10-19s
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "osp_task.h"
#include "osp_timer.h"
#include "ucp_printf.h"
#include "phy_para.h"

extern void ape0_log_send_task(void);
extern void ape1_log_send_task(void);
extern void ape2_log_send_task(void);
extern void ape3_log_send_task(void);
extern void ape4_log_send_task(void);
extern void ape5_log_send_task(void);
extern void ape6_log_send_task(void);
extern void ape7_log_send_task(void);
extern void ape0_event_task(uint32_t addr, uint32_t size);
extern void ape1_event_task(uint32_t addr, uint32_t size);
extern void ape2_event_task(uint32_t addr, uint32_t size);
extern void ape3_event_task(uint32_t addr, uint32_t size);


void ape0_test_task_reg(void)
{
    //osp_task_info_ex ape0_log_task   = {61, (int8_t*)"ape0_log_task", 61, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_log_send_task};
    //osp_task_create(&ape0_log_task);

    osp_task_info_ex ape0_event_task_info = {50, (int8_t*)"ape0_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task};
    osp_task_create(&ape0_event_task_info);

    return ;
}

void ape1_test_task_reg(void)
{
    //osp_task_info_ex ape1_log_task   = {61, (int8_t*)"ape1_log_task", 61, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_log_send_task};
    //osp_task_create(&ape1_log_task);

    osp_task_info_ex ape1_event_task_info = {50, (int8_t*)"ape1_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task};

    osp_task_create(&ape1_event_task_info);

    return;
}

void ape2_test_task_reg(void)
{
    //osp_task_info_ex ape2_log_task   = {61, (int8_t*)"ape2_log_task", 61, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_log_send_task};

    //osp_task_create(&ape2_log_task);
    osp_task_info_ex ape2_event_task_info = {50, (int8_t*)"ape2_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_event_task};

    osp_task_create(&ape2_event_task_info);

    return ;
}

void ape3_test_task_reg(void)
{
    //osp_task_info_ex ape3_log_task   = {61, (int8_t*)"ape3_log_task", 61, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_log_send_task};

    //osp_task_create(&ape3_log_task);
    osp_task_info_ex ape3_event_task_info = {50, (int8_t*)"ape3_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_event_task};

    osp_task_create(&ape3_event_task_info);

    return ;
}

void ape4_test_task_reg(void)
{
    osp_task_info_ex ape4_log_task   = {61, (int8_t*)"ape4_log_task", 61, 4096, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape4_log_send_task};
   
    osp_task_create(&ape4_log_task);


    return ;
}

void ape5_test_task_reg(void)
{
    osp_task_info_ex ape5_log_task   = {61, (int8_t*)"ape5_log_task", 61, 4096, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape5_log_send_task};

    osp_task_create(&ape5_log_task);

    return ;
}

void ape6_test_task_reg(void)
{
    osp_task_info_ex ape6_log_task   = {61, (int8_t*)"ape6_log_task", 61, 4096, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape6_log_send_task};

    osp_task_create(&ape6_log_task);

    return ;
}

void ape7_test_task_reg(void)
{
    osp_task_info_ex ape7_log_task   = {61, (int8_t*)"ape7_log_task", 61, 4096, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape7_log_send_task};

    osp_task_create(&ape7_log_task);

    return ;
}

